workflow:
  rules:
    - if: '$CI_COMMIT_REF_PROTECTED == "true"'
      changes:
      - .gitlab-ci.yml
      - Containerfile-*
      - molecule/**/*
      - push.yml
      - vars/*

all in one:
  image: gwerlas/molecule:6.0.3
  timeout: 3h
  tags:
    - saas-linux-2xlarge-amd64
  before_script:
    - ansible-galaxy install -r requirements.yml
  script:
    - molecule test --destroy never
    - ansible-playbook push.yml
